#
# spec file for package libcap-ng
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{!?python_sitelib:  %global python_sitelib  %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Summary:        An alternate POSIX capabilities library
License:        LGPL-2.1+
Group:          System/Libraries

Name:           libcap-ng
Version:        0.7.3
Release:        5.108
%define soname 0
%define rname libcap-ng
Url:            http://people.redhat.com/sgrubb/libcap-ng
Source0:        http://people.redhat.com/sgrubb/libcap-ng/libcap-ng-%{version}.tar.gz
Source1:        pre_checkin.sh
Source2:        baselibs.conf
Source99:       libcap-ng.rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  kernel-headers >= 2.6.11
BuildRequires:  libattr-devel
BuildRequires:  pkg-config
%if "%{name}" == "%{rname}-python"
BuildRequires:  python-base
%endif

%description
Libcap-ng is a library that makes using posix capabilities easier

%if "%{name}" == "%{rname}"

%package -n %{name}%{soname}

Summary:        An alternate POSIX capabilities library
License:        LGPL-2.1+
Group:          System/Libraries

%description -n %{name}%{soname}
Libcap-ng is a library that makes using posix capabilities easier

%package devel

Summary:        Header files for libcap-ng library
License:        LGPL-2.1+
Group:          Development/Libraries/C and C++
Requires:       %{name}%{soname} = %{version}
Requires:       kernel-headers >= 2.6.11
Requires:       pkgconfig

%description devel
The libcap-ng-devel package contains the files needed for developing
applications that need to use the libcap-ng library.

%package utils

Summary:        Utilities for analysing and setting file capabilities
License:        GPL-2.0+
Group:          System/Base

%description utils
The libcap-ng-utils package contains applications to analyse the
posix capabilities of all the program running on a system. It also
lets you set the file system based capabilities.

%else

%package -n python-capng
Summary:        Python bindings for libcap-ng library
License:        LGPL-2.1+
Group:          Development/Libraries/Python
BuildRequires:  python-devel
BuildRequires:  swig
Requires:       %{rname}%{soname} = %{version}
%py_requires

%description -n python-capng
The libcap-ng-python package contains the bindings so that libcap-ng
and can be used by python applications.

%endif

%prep
%setup -q -n %{rname}-%{version}

%build
%if "%{name}" == "%{rname}-python"
%configure --disable-static --with-pic --with-python=yes
%else
%configure --disable-static --with-pic --with-python=no
%endif
%__make %{?_smp_mflags}

%install
%__make DESTDIR="%{buildroot}" install

# Remove a couple things so they don't get picked up
find %{buildroot} -type f -name "*.la" -print -delete

%if "%{name}" == "%{rname}-python"
%__rm -f %{buildroot}%{_libdir}/lib*.so*
%__rm -f %{buildroot}%{_libdir}/lib*.so*
%__rm -rf %{buildroot}%{_libdir}/pkgconfig
%__rm -rf %{buildroot}%{_bindir}
%__rm -rf %{buildroot}%{_mandir}
%__rm -rf %{buildroot}%{_includedir}
%__rm -rf %{buildroot}%{_datadir}/aclocal
%endif

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%if "%{name}" == "%{rname}"

%post -n %{name}%{soname} -p /sbin/ldconfig

%postun -n %{name}%{soname} -p /sbin/ldconfig

%files -n %{name}%{soname}
%defattr(-,root,root,-)
%doc COPYING.LIB
%attr(0755,root,root) %{_libdir}/%{rname}.so.%{soname}
%attr(0755,root,root) %{_libdir}/%{rname}.so.%{soname}.*

%files devel
%defattr(-,root,root,-)
%attr(0644,root,root) %{_mandir}/man3/*.3%{ext_man}
%attr(0644,root,root) %{_includedir}/cap-ng.h
%attr(0755,root,root) %{_libdir}/%{rname}.so
%attr(0644,root,root) %{_datadir}/aclocal/cap-ng.m4
%{_libdir}/pkgconfig/%{rname}.pc

%files utils
%defattr(-,root,root,-)
%doc COPYING
%attr(0755,root,root) %{_bindir}/captest
%attr(0755,root,root) %{_bindir}/filecap
%attr(0755,root,root) %{_bindir}/netcap
%attr(0755,root,root) %{_bindir}/pscap
%attr(0644,root,root) %{_mandir}/man8/*.8%{ext_man}

%else

%files -n python-capng
%defattr(-,root,root,-)
%attr(755,root,root) %{python_sitearch}/_capng.so
%{python_sitearch}/capng.py*

%endif

%changelog
* Thu Aug 21 2014 ro@suse.de
- fix specfile so that only libcap-ng-python buildrequires python
* Thu Mar 14 2013 meissner@suse.com
- use source url
* Thu Mar 14 2013 crrodriguez@opensuse.org
- version 0.7.3
- Make file opens use the cloexec flag (Cristian Rodríguez)
- Add CAP_BLOCK_SUSPEND
- Fix possible segfaults when CAP_LAST_CAP is larger than the lookup table
- In pscap, don't drop capabilities when running with capabilities
- Add CAP_COMPROMISE_KERNEL
- Define FTW_CONTINUE in case its not defined in libc
- Use glibc for xattr.h if available
- Make sure stderr is used consistently in utils
- Fix logic causing file based capabilities to not be supported when it should
* Sun Feb 12 2012 crrodriguez@opensuse.org
- Move libraries back to %%{_libdir}, /usr merge project
* Wed Oct  5 2011 uli@suse.com
- cross-build workaround: make sure no attempt is made to build
  python stuff even if it's installed on the host system
* Wed Aug 31 2011 crrodriguez@opensuse.org
-  Update to version 0.6.6
- Add CAP_SYSLOG and CAP_WAKE_ALARM (needed for newish kernels)
* Mon Nov  8 2010 coolo@novell.com
- fix requires
* Wed Nov  3 2010 pascal.bleser@opensuse.org
- update to 0.6.5:
  * works around a problem in the Linux 2.6.36 kernel headers
  * fixes a segfault when using filecap on a specific file
* Thu Oct 14 2010 coolo@novell.com
- split out python packages now that libcap-ng is used in many
  low level tools it creates cycles
* Thu May  6 2010 pascal.bleser@opensuse.org
- update to 0.6.4:
  * the library now uses kernel thread ID for capget/set calls
  * a display problem of filesystem based capabilities was fixed
  * netcap now prints device name for packet socket apps
- add baselibs.conf to build libcap-ng0-32bit
* Fri Mar 12 2010 pascal.bleser@opensuse.org
- update to 0.6.3:
  * in netcap and pscap use the effective uid
  * in capng_change_id, only retain setpcap if clearing the bounding set
- add rpmlintrc to disable false positive warnings
- symlink license files on openSUSE
* Wed Mar 10 2010 prusnak@suse.cz
- fixed Requires of python subpackage
* Fri Feb 26 2010 prusnak@suse.cz
- imported package from Fedora (version 0.6.2)
